<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormTab.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAC4010.aspx.cs"
    Inherits="Page_CWAC4010" Title="Commission Plan" %>

<%@ Register TagPrefix="px_m" Namespace="CWACExpressionControl.Controls" Assembly="CWACExpressionControl" %>

<%@ MasterType VirtualPath="~/MasterPages/FormTab.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%"
        TypeName="AdvancedCommission.CW.Graphs.CWACCommissionPlanMaint" PrimaryView="CommissionPlan">
        <ClientEvents CommandPerformed="refreshGrid" />
        <CallbackCommands>
            <px:PXDSCallbackCommand Name="PasteLine" Visible="False" CommitChanges="true" />
            <px:PXDSCallbackCommand Name="ResetOrder" Visible="False" CommitChanges="true" />
        </CallbackCommands>
    </px:PXDataSource>
    <script type="text/javascript">
        function refreshGrid(ds, context) {
            if (context.command === "ReloadPage") {
                px_alls["tab"].executeCallback("Refresh");
            }
        }
    </script>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" Width="100%" Caption="Commission Plan Summary" DataSourceID="ds" NoteIndicator="True"
        FilesIndicator="True" ActivityIndicator="True" ActivityField="NoteActivity" DataMember="CommissionPlan" DefaultControlID="edCommissionPlanCd">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="XS" ControlSize="XM" />
            <px:PXSelector ID="edCommissionPlanCd" runat="server" DataField="CommissionPlanCd" AutoRefresh="True" />
            <px:PXCheckBox ID="edIsDraft" runat="server" DataField="IsDraft" />
            <px:PXCheckBox ID="edIsActive" runat="server" DataField="IsActive" />
            <px:PXTextEdit ID="edName" runat="server" DataField="Name" />
            <px:PXDateTimeEdit ID="edStartDate" runat="server" DataField="StartDate" CommitChanges="True" />
            <px:PXDateTimeEdit ID="edEndDate" runat="server" DataField="EndDate" CommitChanges="True" />
            <px:PXDropDown ID="edType" runat="server" DataField="Type" CommitChanges="True" />
            <px:PXCheckBox ID="edSkipEmpty" runat="server" DataField="SkipEmpty" />
            <px:PXCheckBox ID="edIsRollUpPlan" runat="server" DataField="IsRollUpPlan" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="SM" ControlSize="XM" />
            <px:PXDropDown ID="edPayoutType" runat="server" DataField="PayoutType" />
            <px:PXDropDown ID="edFlatCalculationType" runat="server" DataField="FlatCalculationType" CommitChanges="True" />
            <px:PXDropDown ID="edFrequency" runat="server" DataField="Frequency" />
            <px:PXSelector ID="edTargetGi" runat="server" DataField="TargetGi" AutoRefresh="True" CommitChanges="True" AllowEdit="True" />
            <px:PXSelector ID="edTargetGiResult" runat="server" DataField="TargetGiResult" AutoRefresh="True" CommitChanges="True" AllowEdit="True" />
            <px:PXDropDown ID="edCommissionType" runat="server" DataField="CommissionType" CommitChanges="True" AllowNull="False"
                ToolTip="Choose the way the commission will be calculated. Select Generic Inquiry and specify the source and calculation formula in an Inquiry. 
                Select Flat Amount to apply a fixed commission." />
            <px:PXTextEdit ID="edTabVisibilityType" runat="server" DataField="TabVisibilityType" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXTab ID="tab" runat="server" DataSourceID="ds" Height="559px" Style="z-index: 100" Width="100%">
        <Items>
            <px:PXTabItem Text="Rules" BindingContext="form" VisibleExp="DataControls[&quot;edTabVisibilityType&quot;].Value == F" RepaintOnDemand="false">
                <Template>
                    <px:PXGrid ID="gridCommissionRuleFlatRate" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100"
                        Width="100%" ActionsPosition="Top" SkinID="Details" Caption="Commission Rules" TabIndex="1100"
                        AllowPaging="True" AdjustPageSize="Auto" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="CommissionRuleFlatRate">
                                <RowTemplate>
                                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="XM" />
                                    <px_m:ExpressionControl ID="edCondition" runat="server" DataSourceID="ds" DataField="Condition" CssClass="dropDown"
                                        ToolTip="Source of the sale to be calculated into the commission or additional filters for it.">
                                        <EditorStyle CssClass="editor" />
                                    </px_m:ExpressionControl>
                                    <px_m:ExpressionControl ID="edFlatRateValue" runat="server" DataSourceID="ds" DataField="Value" CssClass="dropDown"
                                        ToolTip="Formula to calculate the commission based on the source values and filters. Can be flat rate.">
                                        <EditorStyle CssClass="editor" />
                                    </px_m:ExpressionControl>
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="CommissionRuleName" AutoCallBack="True" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="Condition" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="Value" AllowDragDrop="true" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
                        <CallbackCommands PasteCommand="PasteLine">
                            <Save PostData="Page" />
                        </CallbackCommands>
                        <Mode AllowDragRows="true" InitNewRow="True" />
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Rules" BindingContext="form" VisibleExp="DataControls[&quot;edTabVisibilityType&quot;].Value == I" RepaintOnDemand="false">
                <Template>
                    <px:PXGrid ID="PXGrid1" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100"
                        Width="100%" ActionsPosition="Top" SkinID="Details" Caption="Commission Rules" TabIndex="1100"
                        AllowPaging="True" AdjustPageSize="Auto" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="CommissionRuleFlatInquiry">
                                <RowTemplate>
                                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="XM" />
                                    <px:PXSelector ID="edFlatInqTargetGiResult" runat="server" DataField="TargetGiResult" AutoRefresh="true" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="CommissionRuleName" AutoCallBack="True" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="TargetGi" AllowDragDrop="true" CommitChanges="true" LinkCommand="ViewEntity" />
                                    <px:PXGridColumn DataField="TargetGiResult" AllowDragDrop="true" CommitChanges="true" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
                        <CallbackCommands PasteCommand="PasteLine">
                            <Save PostData="Page" />
                        </CallbackCommands>
                        <Mode AllowDragRows="true" InitNewRow="True" />
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Rules" BindingContext="form" RepaintOnDemand="false"
                VisibleExp="DataControls[&quot;edTabVisibilityType&quot;].Value == A">
                <Template>
                    <px:PXGrid ID="gridCommissionRuleQuota" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100"
                        Width="100%" ActionsPosition="Top" SkinID="Details" Caption="Commission Rules" TabIndex="1100"
                        AllowPaging="True" AdjustPageSize="Auto" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="CommissionRuleAccumulation">
                                <RowTemplate>
                                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="XM" />
                                    <px:PXSelector ID="edQoutaTargetGiResult" runat="server" DataField="TargetGiResult" AutoRefresh="true" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="CommissionRuleName" AutoCallBack="True" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="MinimumValue" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="TargetGi" AllowDragDrop="true" LinkCommand="ViewEntity" CommitChanges="true" />
                                    <px:PXGridColumn DataField="TargetGiResult" AllowDragDrop="true" CommitChanges="true" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
                        <CallbackCommands PasteCommand="PasteLine">
                            <Save PostData="Page" />
                        </CallbackCommands>
                        <Mode AllowDragRows="true" InitNewRow="True" />
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
            <px:PXTabItem Text="Rules" BindingContext="form" RepaintOnDemand="false"
                VisibleExp="DataControls[&quot;edTabVisibilityType&quot;].Value == Q">
                <Template>
                    <px:PXGrid ID="gridCommissionRuleQuotaFlat" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100"
                        Width="100%" ActionsPosition="Top" SkinID="Details" Caption="Commission Rules" TabIndex="1100"
                        AllowPaging="True" AdjustPageSize="Auto" SyncPosition="True">
                        <Levels>
                            <px:PXGridLevel DataMember="CommissionRuleQuotaFlat">
                                <RowTemplate>
                                    <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="M" ControlSize="XM" />
                                </RowTemplate>
                                <Columns>
                                    <px:PXGridColumn DataField="CommissionRuleName" AutoCallBack="True" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="MinimumValue" AllowDragDrop="true" />
                                    <px:PXGridColumn DataField="FlatValue" AllowDragDrop="true" />
                                </Columns>
                            </px:PXGridLevel>
                        </Levels>
                        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
                        <CallbackCommands PasteCommand="PasteLine">
                            <Save PostData="Page" />
                        </CallbackCommands>
                        <Mode AllowDragRows="true" InitNewRow="True" />
                    </px:PXGrid>
                </Template>
            </px:PXTabItem>
        </Items>
        <AutoSize Enabled="true" Container="Window" />
    </px:PXTab>
</asp:Content>
